> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coin Tickers by ID

> To query the coin tickers on both centralized exchange (CEX) and decentralized exchange (DEX) based on a particular coin ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Tickers are paginated to 100 items per page.
* Use `exchange_ids` to filter tickers for a specific exchange.
* When `dex_pair_format=symbol`, DEX pair `base` and `target` display as symbols (e.g. `WETH`, `USDC`) instead of contract addresses.
* When sorting by `volume`, `converted_volume` is used instead of `volume`.

<CacheInfo rate="2 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.coins.tickers.get('bitcoin');

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.coins.tickers.get("bitcoin")

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /coins/{id}/tickers
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /coins/{id}/tickers:
    get:
      summary: Coin Tickers by ID
      description: >-
        To query the coin tickers on both centralized exchange (CEX) and
        decentralized exchange (DEX) based on a particular coin ID
      operationId: coins-id-tickers
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            Coin ID. 
            *refers to [`/coins/list`](/reference/coins-list)
          schema:
            type: string
            default: bitcoin
        - name: exchange_ids
          in: query
          required: false
          description: |-
            Exchange ID. 
            *refers to [`/exchanges/list`](/reference/exchanges-list)
          schema:
            type: string
        - name: include_exchange_logo
          in: query
          required: false
          description: |-
            Include exchange logo. 
            Default: false
          schema:
            type: boolean
        - name: page
          in: query
          required: false
          description: Page through results
          schema:
            type: integer
        - name: order
          in: query
          required: false
          description: |-
            Sort the order of responses. 
            Default: trust_score_desc
          schema:
            type: string
            enum:
              - trust_score_desc
              - trust_score_asc
              - volume_desc
              - volume_asc
        - name: depth
          in: query
          required: false
          description: >-
            Include 2% orderbook depth, i.e. `cost_to_move_up_usd` and
            `cost_to_move_down_usd`. 

            Default: false
          schema:
            type: boolean
        - name: dex_pair_format
          in: query
          required: false
          description: |-
            Set to `symbol` to display DEX pair base and target as symbols. 
            Default: `contract_address`
          schema:
            type: string
            enum:
              - contract_address
              - symbol
      responses:
        '200':
          description: Coin tickers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinsIdTickers'
              example:
                name: Bitcoin
                tickers:
                  - base: BTC
                    target: USDT
                    market:
                      name: Binance
                      identifier: binance
                      has_trading_incentive: false
                      logo: >-
                        https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274
                    last: 76894.07
                    volume: 13786.06991
                    cost_to_move_up_usd: 19320706.3958517
                    cost_to_move_down_usd: 16360235.3694131
                    converted_last:
                      btc: 0.99664066
                      eth: 36.004874
                      usd: 76856
                    converted_volume:
                      btc: 13740
                      eth: 496366
                      usd: 1059536991
                    trust_score: null
                    bid_ask_spread_percentage: 0.010013
                    timestamp: '2026-05-18T13:37:29+00:00'
                    last_traded_at: '2026-05-18T13:37:29+00:00'
                    last_fetch_at: '2026-05-18T13:37:29+00:00'
                    is_anomaly: false
                    is_stale: false
                    trade_url: https://www.binance.com/en/trade/BTC_USDT?ref=37754157
                    token_info_url: null
                    coin_id: bitcoin
                    target_coin_id: tether
                    coin_mcap_usd: 1544810408447.1313
components:
  schemas:
    CoinsIdTickers:
      type: object
      required:
        - name
        - tickers
      properties:
        name:
          type: string
          description: Coin name
        tickers:
          type: array
          description: List of tickers
          items:
            type: object
            required:
              - base
              - target
              - market
              - last
              - volume
              - converted_last
              - converted_volume
              - trust_score
              - bid_ask_spread_percentage
              - timestamp
              - last_traded_at
              - last_fetch_at
              - is_anomaly
              - is_stale
              - trade_url
              - token_info_url
              - coin_id
              - target_coin_id
              - coin_mcap_usd
            properties:
              base:
                type: string
                description: Ticker base currency
              target:
                type: string
                description: Ticker target currency
              market:
                type: object
                description: Exchange information
                properties:
                  name:
                    type: string
                    description: Exchange name
                  identifier:
                    type: string
                    description: Exchange identifier
                  has_trading_incentive:
                    type: boolean
                    description: Exchange trading incentive
                  logo:
                    type: string
                    description: Exchange logo URL
              last:
                type: number
                description: Last price
              volume:
                type: number
                description: Trading volume
              cost_to_move_up_usd:
                type: number
                description: Cost to move price up by 2% in USD
              cost_to_move_down_usd:
                type: number
                description: Cost to move price down by 2% in USD
              converted_last:
                type: object
                description: Converted last price
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              converted_volume:
                type: object
                description: Converted trading volume
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              trust_score:
                type: string
                nullable: true
                description: Trust score
              bid_ask_spread_percentage:
                type: number
                description: Bid-ask spread percentage
              timestamp:
                type: string
                description: Ticker timestamp
              last_traded_at:
                type: string
                description: Last traded timestamp
              last_fetch_at:
                type: string
                description: Last fetch timestamp
              is_anomaly:
                type: boolean
                description: Whether ticker is anomalous
              is_stale:
                type: boolean
                description: Whether ticker is stale
              trade_url:
                type: string
                description: Trade URL
              token_info_url:
                type: string
                nullable: true
                description: Token info URL
              coin_id:
                type: string
                description: Base currency coin ID
              target_coin_id:
                type: string
                description: Target currency coin ID
              coin_mcap_usd:
                type: number
                description: Coin market cap in USD
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````